// Create an arc generator with configuration
var arcGenerator = d3
  .arc()
  .innerRadius(110)
  .outerRadius(150)
  .padAngle(0.01)
  .padRadius(50)
  .cornerRadius(3);

var arcData = [
  {
    label: '1',
    startAngle: (1 * Math.PI) / 12,
    endAngle: (3 * Math.PI) / 12,
  },
  {
    label: '2',
    startAngle: (3 * Math.PI) / 12,
    endAngle: (5 * Math.PI) / 12,
  },
  {
    label: '3',
    startAngle: (5 * Math.PI) / 12,
    endAngle: (7 * Math.PI) / 12,
  },
  {
    label: '4',
    startAngle: (7 * Math.PI) / 12,
    endAngle: (9 * Math.PI) / 12,
  },
  {
    label: '5',
    startAngle: (9 * Math.PI) / 12,
    endAngle: (11 * Math.PI) / 12,
  },
  {
    label: '6',
    startAngle: (11 * Math.PI) / 12,
    endAngle: (13 * Math.PI) / 12,
  },
  {
    label: '7',
    startAngle: (13 * Math.PI) / 12,
    endAngle: (15 * Math.PI) / 12,
  },
  {
    label: '8',
    startAngle: (15 * Math.PI) / 12,
    endAngle: (17 * Math.PI) / 12,
  },
  {
    label: '9',
    startAngle: (17 * Math.PI) / 12,
    endAngle: (19 * Math.PI) / 12,
  },
  {
    label: '10',
    startAngle: (19 * Math.PI) / 12,
    endAngle: (21 * Math.PI) / 12,
  },
  {
    label: '11',
    startAngle: (21 * Math.PI) / 12,
    endAngle: (23 * Math.PI) / 12,
  },
  {
    label: '12',
    startAngle: (23 * Math.PI) / 12,
    endAngle: (25 * Math.PI) / 12,
  },
];

// Create a path element and set its d attribute
d3.select('g.clock') // Assuming the clock elements are grouped under a class 'clock'
  .selectAll('path')
  .data(arcData)
  .join('path')
  .attr('d', arcGenerator);

// Add labels, using .centroid() to position
d3.select('g.clock')
  .selectAll('text')
  .data(arcData)
  .join('text')
  .each(function (d) {
    var centroid = arcGenerator.centroid(d);
    d3.select(this)
      .attr('x', centroid[0])
      .attr('y', centroid[1])
      .attr('dy', '0.33em')
      .text(d.label);
  });

// Adjust cloud animation duration
var clouds = document.querySelectorAll('.cloud');

clouds.forEach((cloud) => {
  var duration = Math.random() * 60 + 60; // Random duration between 60s and 120s
  cloud.style.animationDuration = `${duration}s`;
});
